
#ifdef  __CA78K0R__

  #pragma   sfr
  #pragma   EI
  #pragma   DI
  #pragma   NOP
  #include  "RL78_vector.h"
  #include  "ICS2_typedef.h"

#elif  __CCRL__

  #include  <stdint.h>
  #include  "iodefine.h"
  #include  "RL78_vector.h"

#elif  __ICCRL78__

  #include  <stdint.h>
  #include  <intrinsics.h>
  #include  <ior5f104le.h>
  #include  <ior5f104le_ext.h>
  #include  "RL78_vector.h"

#endif

#include  "ics2_RL78G14.h"

#if    defined(__CA78K0R__)

  __interrupt void  Excep_INTST0(void)  { int_ics_sci_tx(); }
  __interrupt void  Excep_INTSR0(void)  { int_ics_sci_rx(); }
  __interrupt void  Excep_INTSRE0(void) { int_ics_sci_err(); }

  __interrupt void  Excep_INTST1(void)  { int_ics_sci_tx(); }
  __interrupt void  Excep_INTSR1(void)  { int_ics_sci_rx(); }
  __interrupt void  Excep_INTSRE1(void) { int_ics_sci_err(); }

  __interrupt void  Excep_INTST2(void)  { int_ics_sci_tx(); }
  __interrupt void  Excep_INTSR2(void)  { int_ics_sci_rx(); }
  __interrupt void  Excep_INTSRE2(void) { int_ics_sci_err(); }
  #if 0
  __interrupt void  Excep_INTST3(void)  { int_ics_sci_tx(); }
  __interrupt void  Excep_INTSR3(void)  { int_ics_sci_rx(); }
  __interrupt void  Excep_INTSRE3(void) { int_ics_sci_err(); }
  #endif
#elif   defined(__CCRL__)

              void  Excep_INTST0(void)  { int_ics_sci_tx();  }
              void  Excep_INTSR0(void)  { int_ics_sci_rx();  }
              void  Excep_INTSRE0(void) { int_ics_sci_err(); }
              void  Excep_INTST1(void)  { int_ics_sci_tx();  }
              void  Excep_INTSR1(void)  { int_ics_sci_rx();  }
              void  Excep_INTSRE1(void) { int_ics_sci_err(); }
              void  Excep_INTST2(void)  { int_ics_sci_tx();  }
              void  Excep_INTSR2(void)  { int_ics_sci_rx();  }
              void  Excep_INTSRE2(void) { int_ics_sci_err(); }
  #if 0
              void  Excep_INTST3(void)  { int_ics_sci_tx();  }
              void  Excep_INTSR3(void)  { int_ics_sci_rx();  }
              void  Excep_INTSRE3(void) { int_ics_sci_err(); }
  #endif
#elif   defined(__ICCRL78__)

  __interrupt void  Excep_INTST0(void)  { int_ics_sci_tx();  }
  __interrupt void  Excep_INTSR0(void)  { int_ics_sci_rx();  }
  __interrupt void  Excep_INTSRE0(void) { int_ics_sci_err(); }
  __interrupt void  Excep_INTST1(void)  { int_ics_sci_tx();  }
  __interrupt void  Excep_INTSR1(void)  { int_ics_sci_rx();  }
  __interrupt void  Excep_INTSRE1(void) { int_ics_sci_err(); }
  __interrupt void  Excep_INTST2(void)  { int_ics_sci_tx();  }
  __interrupt void  Excep_INTSR2(void)  { int_ics_sci_rx();  }
  __interrupt void  Excep_INTSRE2(void) { int_ics_sci_err(); }
  #if 0
  __interrupt void  Excep_INTST3(void)  { int_ics_sci_tx();  }
  __interrupt void  Excep_INTSR3(void)  { int_ics_sci_rx();  }
  __interrupt void  Excep_INTSRE3(void) { int_ics_sci_err(); }
  #endif
#endif

